%The script generates 100 random values between 0 and 100 and evaluates the percentage of times either of two thresholds Th1 and Th2 defined in the following is passed.

clear
close all
numsamples=100;
maxvalue=100;

samples = maxvalue*rand(1,numsamples); % obtains 100 random values using the rand function
H_limit = max (samples); % maximum value in the sequence

L_limit = min (samples); % minimum value in the sequence

[Th1, Th2] = told_builder (H_limit, L_limit); % the function told_builder returns the thresholds

count1 = 0;
count2 = 0;       %let us set two counters to count how many elements pass the thresholds
for i = 1:length(samples)
    if samples(i)>Th2
        count1 = count1 + 1;
        count2 = count2 + 1;
    elseif samples(i)>Th1
        count1 = count1 + 1;
    end
end

perc1 = count1/length(samples)*100; % percentage of samples above Th1
perc2 = count2/length(samples)*100; % percentage of samples above Th2

fprintf('\nThe percentage of samples above threshold Th1 is %d\n', perc1);
fprintf('\nThe percentage of samples above threshold Th2 is %d\n', perc2);


% graphical output

x_axis = [0:1:length(samples)-1];
P1 = stem(x_axis, samples, 'x'); 
hold on
plot(x_axis, Th1,'go');
hold on
plot(x_axis, Th2*ones(1,numsamples),'ro');
hold off
title('Problem #2 version 1')
xlabel('Sample indexes')
ylabel('Sample values')









