%The script generates 100 random values between 0 and 100 and evaluates the percentage of times either of two thresholds Th1 and Th2 defined in the following is passed.
%Solution using the find function

clear
close all
numsamples=100;
maxvalue=100;
samples = maxvalue*rand(1,numsamples); % obtains 100 random values using the rand function

H_limit = max (samples); % maximum value in the sequence

L_limit = min (samples); % minimum value in the sequence

[soglia1, soglia2] = told_builder (H_limit, L_limit); % the function told_builder returns the thresholds 

perc1 = length (find(samples > soglia1))/length(samples)*100;
perc2 = length (find(samples > soglia2))/length(samples)*100;

fprintf('\nThe percentage of samples above threshold Th1 is %d\n', perc1);
fprintf('\nThe percentage of samples above threshold Th2 is %d\n', perc2);

% graphical output

x_axis = [0:1:length(samples)-1];
P1 = stem(x_axis, samples, 'x'); 
hold on
plot(x_axis, soglia1,'go');
hold on
plot(x_axis, soglia2,'ro');
hold off
title('Exercise 2 Version 2')
xlabel('Sample index')
ylabel('Sample value')